Bug 41293 - ed command ":.=" no longer works
Summary: ed command ":.=" no longer works
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-18 15:08 UTC by ellson
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 11:06:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ellson 2001-05-18 15:08:35 UTC
Description of Problem:  ed command ":.=" no longer works


How Reproducible:   100%


Steps to Reproduce:  
1. /bin/vi .bash_profile
2. :.=
3. 

Actual Results:

	"no range allowed"

Expected Results:
	
	a line number ( also should support ":.+3="


Additional Information:

Works in all known previous version of vi.  my fingers know this command by
heart!

Comment 1 Bernhard Rosenkraenzer 2001-05-21 11:06:47 UTC
You can simply use Ctrl+G or := (without the .).

I've forwarded your bug report to the vim development mailing list; I'm not 
sure whether the ed command syntax was changed intentionally.



Comment 2 Bernhard Rosenkraenzer 2001-05-21 12:31:08 UTC
Just heard back from the vim maintainer, the change is intentional



Note You need to log in before you can comment on or make changes to this bug.